Subject: bug#37445: 27.0.50; Permission denied after make install

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Sep 2019 21:59:12 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Fri, 20 Sep 2019 11:17:43 -0700
> 
> I looked through the Emacs source code, and the only use of source-directory 
> that seemed relevant was find-function-C-source-directory; is that what you were 
> referring to?

Yes.  Help uses that when you activate the button in a *Help* buffer
that says a function is defined in C sources.

> If so, the problem can be addressed by installing the C sources 
> into /usr/share/emacs/27.0.50/src/*.[chm], which is something we should be doing 
> anyway since the build directory might be missing or (worse) wrong when someone 
> wants to look at the sources of the installed Emacs. In the old days installing 
> the C sources might have been thought too heavyweight but those days are long gone.

You are talking about a serious change in Emacs installation
procedure.  It should first be discussed and its various implications
understood and considered.  I'm not so sure this is a good approach,
or that it should be the only one supported.  Some people may not want
to install sources; others still build their own Emacs, and have the
sources available in accessible directories, so installing the sources
into yet another tree will be uneconomical for them.  And there might
be other use cases and other considerations.  If we want to make such
changes, we should do that in a way that caters to all the use cases
we support today.

I asked what security problems could be caused by accessing a source
tree, and you didn't answer.  From where I stand, that is a crucial
question: if the danger is not real, or non-existent, I see no good
reason to make such significant changes, certainly not soon.